package com.diagbot.facade;

import java.util.List;

import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.diagbot.dto.EvaluationDTO;
import com.diagbot.service.EvaluationService;
import com.diagbot.service.impl.EvaluationServiceImpl;
import com.diagbot.vo.EvaluationdiseaseNameVO;

@Component
public class EvaluationFacade extends EvaluationServiceImpl{

	@Autowired
	EvaluationService evaluationService;
	
	/**
	 * 
	 * @param evaluationdiseaseNameVO
	 * @return
	 */
	public List<EvaluationDTO> getEvaluationModule(@Valid EvaluationdiseaseNameVO evaluationdiseaseNameVO) {
		List<EvaluationDTO> data = evaluationService.getEvaluationModule(evaluationdiseaseNameVO);
		return data;
	}

}
